<script setup>

import Sidebar from "@/components/Sidebar.vue";

</script>

<template>
  <Sidebar></Sidebar>

  <h1>Welcome, Admin!</h1>
  <p></p>

  <div class="dashboard">
    <div class="container">
      <div class="row">

        <div class="col">
          <div class="card">
            <img class="card-img-top" src="../views/photos/trainer.jpg" alt="Card image">
            <div class="card-body">
              <h4 class="card-title">Trainer</h4>
              <router-link to="/trainer" class="btn btn-warning">Overview</router-link>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card">
            <img class="card-img-top" src="../views/photos/student.jpeg" alt="Card image">
            <div class="card-body">
              <h4 class="card-title">Students</h4>
              <router-link to="/student" class="btn btn-warning">Overview</router-link>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card">
            <img class="card-img-top" src="../views/photos/group.jpeg" alt="Card image">
            <div class="card-body">
              <h4 class="card-title">Groups</h4>
              <router-link to="/group" class="btn btn-warning">Overview</router-link>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-3">
        <div class="col">
          <div class="card">
            <img class="card-img-top" src="../views/photos/room.jpeg" alt="Card image">
            <div class="card-body">
              <h4 class="card-title">Rooms</h4>
              <router-link to="/room" class="btn btn-warning">Overview</router-link>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card">
            <img class="card-img-top" src="../views/photos/lesson.jpeg" alt="Card image">
            <div class="card-body">
              <h4 class="card-title">Lessons</h4>
              <router-link to="/lesson" class="btn btn-warning">Overview</router-link>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card">
            <img class="card-img-top" src="../views/photos/logout.jpg" style="height: 185px" alt="Card image">
            <div class="card-body">
              <h4 class="card-title">Logout</h4>
              <router-link to="/login" class="btn btn-warning">Logout</router-link>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>


</template>

<style scoped>
.dashboard {
  margin-left: -300px;
  margin-top: 50px;
}

h1 {
  margin-left: 0px;
  margin-top: -10px;
}

.card-body {
  background-color: black;
  color: white;
}
</style>

